=== debian/changelog ===
linux-lts-saucy (3.11.0-30.51~precise1) precise; urgency=low

  [ AceLan Kao ]

  * [Config] enable abi check

  [ Upstream Kernel Changes ]

  * Revert "lzo: properly check for overruns"
    - CVE-2014-4608
  * KVM: x86: Check non-canonical addresses upon WRMSR
    - CVE-2014-3610
  * KVM: x86: Prevent host from panicking on shared MSR writes.
    - CVE-2014-3610
  * KVM: x86: Improve thread safety in pit
    - CVE-2014-3611
  * nEPT: Nested INVEPT
    - CVE-2014-3645
  * kvm: vmx: handle invvpid vm exit gracefully
    - CVE-2014-3646
  * KVM: x86: Fix wrong masking on relative jump/call
    - CVE-2014-3647
  * KVM: x86: Emulator fixes for eip canonical checks on near branches
    - CVE-2014-3647
  * KVM: x86: emulating descriptor load misses long-mode case
    - CVE-2014-3647
  * KVM: x86: use new CS.RPL as CPL during task switch
    - CVE-2014-3647
  * KVM: x86: check CS.DPL against RPL during task switch
    - CVE-2014-3647
  * KVM: x86: Inter-privilege level ret emulation is not implemeneted
    - CVE-2014-3647
  * KVM: x86: Handle errors when RIP is set during far jumps
    - CVE-2014-3647
  * net: sctp: fix skb_over_panic when receiving malformed ASCONF chunks
    - CVE-2014-3673
  * net: sctp: fix panic on duplicate ASCONF chunks
    - CVE-2014-3687
  * net: sctp: fix remote memory pressure from excessive queueing
    - CVE-2014-3688
  * x86,kvm,vmx: Preserve CR4 across VM entry
    - CVE-2014-3690
  * lzo: check for length overrun in variable length encoding.
    - CVE-2014-4608
  * mnt: Prevent pivot_root from creating a loop in the mount tree
    - CVE-2014-7970
  * fs: Add a missing permission check to do_umount
    - CVE-2014-7975
  * kvm: fix excessive pages un-pinning in kvm_iommu_map error path.
    - CVE-2014-8369

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Tue, 04 Nov 2014 14:25:26 +0800

linux-lts-saucy (3.11.0-29.49~precise1) precise; urgency=low

  [ Upstream Kernel Changes ]

  * aio: fix kernel memory disclosure in io_getevents() introduced in v3.10
    - CVE-2014-0206
  * HID: magicmouse: sanity check report size in raw_event() callback
    - CVE-2014-3181
  * HID: fix a couple of off-by-ones
    - CVE-2014-3184
  * USB: whiteheat: Added bounds checking for bulk command response
    - CVE-2014-3185
  * HID: picolcd: sanity check report size in raw_event() callback
    - CVE-2014-3186
  * target/rd: Refactor rd_build_device_space + rd_release_device_space
    - CVE-2014-4027
  * udf: Avoid infinite loop when processing indirect ICBs
    - CVE-2014-6410
  * libceph: add process_one_ticket() helper
    - CVE-2014-6416
  * libceph: do not hard code max auth ticket len
    - CVE-2014-6418
  * [CIFS] Possible null ptr deref in SMB2_tcon
    - CVE-2014-7145

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Tue, 30 Sep 2014 11:15:13 +0800

linux-lts-saucy (3.11.0-28.48~precise1) precise; urgency=low

  [ Upstream Kernel Changes ]

  * kvm: iommu: fix the third parameter of kvm_iommu_put_pages
    (CVE-2014-3601)
    - CVE-2014-3601
  * shmem: fix faulting into a hole while it's punched
    - CVE-2014-4171
  * shmem: fix faulting into a hole, not taking i_mutex
    - CVE-2014-4171
  * shmem: fix splicing from a hole while it's punched
    - CVE-2014-4171
  * x86_32, entry: Do syscall exit work on badsys (CVE-2014-4508)
    - CVE-2014-4508
  * ALSA: control: Protect user controls against concurrent access
    - CVE-2014-4652
  * ALSA: control: Don't access controls outside of protected regions
    - CVE-2014-4653
  * ALSA: control: Fix replacing user controls
    - CVE-2014-4654
  * ALSA: control: Fix replacing user controls
    - CVE-2014-4655
  * ALSA: control: Handle numid overflow
    - CVE-2014-4656
  * ALSA: control: Make sure that id->index does not overflow
    - CVE-2014-4656
  * sctp: Fix sk_ack_backlog wrap-around problem
    - CVE-2014-4667
  * net: sctp: inherit auth_capable on INIT collisions
    - CVE-2014-5077
  * isofs: Fix unbounded recursion when processing relocated directories
    - CVE-2014-5471
  * isofs: Fix unbounded recursion when processing relocated directories
    - CVE-2014-5472
  * Add oem public archive

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Wed, 17 Sep 2014 10:56:22 +0800

linux-lts-saucy (3.11.0-27.47~precise1) precise; urgency=low

  [ Brad Figg ]

  * Non-rebase branch fixups so startnewrelease will work.

  [ Upstream Kernel Changes ]

  * mnt: Only change user settable mount flags in remount
    - CVE-2014-5206
  * mnt: Move the test for MNT_LOCK_READONLY from change_mount_flags into
    do_remount
    - CVE-2014-5206
  * mnt: Correct permission checks in do_remount
    - CVE-2014-5207
  * mnt: Change the default remount atime from relatime to the existing
    value
    - CVE-2014-5207

 -- Chia-Lin Kao (AceLan) <acelan.kao@canonical.com>  Wed, 27 Aug 2014 14:21:51 +0800

linux-lts-saucy (3.11.0-26.45~precise1) precise; urgency=low

  [ Upstream Kernel Changes ]

  * l2tp: Privilege escalation in ppp over l2tp sockets
    - LP: #1341472
    - CVE-2014-4943

 -- Luis Henriques <luis.henriques@canonical.com>  Mon, 14 Jul 2014 14:23:48 +0100

linux (3.11.0-26.44) saucy; urgency=low

  [ Luis Henriques ]

  * Merged back Ubuntu-3.11.0-24.42 security release
  * Revert "x86_64,ptrace: Enforce RIP <= TASK_SIZE_MAX (CVE-2014-4699)"
    - LP: #1337339
  * Release Tracking Bug
    - LP: #1338556

  [ Upstream Kernel Changes ]

  * ptrace,x86: force IRET path after a ptrace_stop()
    - LP: #1337339
    - CVE-2014-4699

 -- Luis Henriques <luis.henriques@canonical.com>  Mon, 07 Jul 2014 13:21:48 +0100

linux (3.11.0-25.43) saucy; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1336203

  [ Upstream Kernel Changes ]

  * cfg80211: free sme on connection failures
    - LP: #1335084
  * sched: Sanitize irq accounting madness
    - LP: #1335084
  * sched: Use CPUPRI_NR_PRIORITIES instead of MAX_RT_PRIO in cpupri check
    - LP: #1335084
  * net: cpsw: fix null dereference at probe

