=== debian/control ===
Source: linux-lts-saucy
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], libelf-dev, libnewt-dev, binutils-dev, rsync, libdw-dev, dpkg (>= 1.16.0~ubuntu4), util-linux, pkg-config, flex, bison, openssl, bc, gawk, libpci-dev
Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-saucy.git

Package: linux-headers-3.11.0-30
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
Description: Header files related to Linux kernel version 3.11.0
 This package provides kernel header files for version 3.11.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-lts-saucy-headers-3.11.0-30/debian.README.gz for details

#Package: linux-lts-saucy-tools-common
#Architecture: all
#Section: kernel
#Priority: optional
#Depends: ${misc:Depends}
#Replaces: linux-lts-saucy-tools (<= 2.6.32-16.25)
#Description: Linux kernel version specific tools for version 3.11.0
# This package provides the architecture independent parts for kernel
# version locked tools (such as perf and x86_energy_perf_policy) for
# version PGKVER.

Package: linux-lts-saucy-tools-3.11.0-30
Architecture: i386 amd64 armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel version specific tools for version 3.11.0-30
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 3.11.0-30 on
 64 bit x86.
 You probabally want to install linux-tools-3.11.0-30-<flavour>.

 

Package: linux-image-3.11.0-30-generic
Architecture: i386 amd64 armhf
Section: kernel
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-3.0, fuse-module, 
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), module-init-tools (>= 3.3-pre11-4ubuntu3)
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: grub-pc [i386 amd64] | grub-efi-amd64 [i386 amd64] | grub-efi-ia32 [i386 amd64] | grub [i386 amd64] | lilo (>= 19.1) [i386 amd64] | flash-kernel [armhf]
Suggests: fdutils, linux-lts-saucy-doc-3.11.0 | linux-lts-saucy-source-3.11.0, linux-lts-saucy-tools, linux-headers-3.11.0-30-generic
Description: Linux kernel image for version 3.11.0 on 64 bit x86 SMP
 This package contains the Linux kernel image for version 3.11.0 on
 64 bit x86 SMP.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.11.0-30-generic
Architecture: i386 amd64 armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-3.11.0-30, ${shlibs:Depends}
Description: Linux kernel headers for version 3.11.0 on 64 bit x86 SMP
 This package provides kernel header files for version 3.11.0 on
 64 bit x86 SMP.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-3.11.0-30/debian.README.gz for details.

Package: linux-image-3.11.0-30-generic-dbgsym
Architecture: i386 amd64 armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.11.0 on 64 bit x86 SMP
 This package provides a kernel debug image for version 3.11.0 on
 64 bit x86 SMP.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-tools-3.11.0-30-generic
Architecture: i386 amd64 armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-lts-saucy-tools-3.11.0-30
Description: Linux kernel version specific tools for version 3.11.0-30
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 3.11.0-30 on
 64 bit x86.

Package: linux-lts-saucy-udebs-generic
XC-Package-Type: udeb
Section: debian-installer
Architecture: i386 amd64 armhf
Depends: ${udeb:Depends}
Description: Metapackage depending on kernel udebs
 This package depends on the all udebs that the kernel build generated,
 for easier version and migration tracking.

Package: linux-image-3.11.0-30-generic-lpae
Architecture: armhf
Section: kernel
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-3.0, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), module-init-tools (>= 3.3-pre11-4ubuntu3)
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: flash-kernel [armhf]
Suggests: fdutils, linux-lts-saucy-doc-3.11.0 | linux-lts-saucy-source-3.11.0, linux-lts-saucy-tools, linux-headers-3.11.0-30-generic-lpae
Description: Linux kernel image for version 3.11.0 on 64 bit x86 SMP
 This package contains the Linux kernel image for version 3.11.0 on
 64 bit x86 SMP.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic LPAE processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic-lpae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.11.0-30-generic-lpae
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-3.11.0-30, ${shlibs:Depends}
Description: Linux kernel headers for version 3.11.0 on 64 bit x86 SMP
 This package provides kernel header files for version 3.11.0 on
 64 bit x86 SMP.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-3.11.0-30/debian.README.gz for details.

Package: linux-image-3.11.0-30-generic-lpae-dbgsym
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.11.0 on 64 bit x86 SMP
 This package provides a kernel debug image for version 3.11.0 on
 64 bit x86 SMP.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-tools-3.11.0-30-generic-lpae
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-lts-saucy-tools-3.11.0-30
Description: Linux kernel version specific tools for version 3.11.0-30
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 3.11.0-30 on
 64 bit x86.

Package: linux-lts-saucy-udebs-generic-lpae
XC-Package-Type: udeb
Section: debian-installer
Architecture: armhf
Depends: ${udeb:Depends}
Description: Metapackage depending on kernel udebs
 This package depends on the all udebs that the kernel build generated,
 for easier version and migration tracking.

Package: kernel-image-3.11.0-30-generic-di
Package-Type: udeb
Provides: kernel-image, efi-modules, ext3-modules, ext4-modules
Architecture: amd64
Kernel-Version: 3.11.0-30-generic
Section: debian-installer
Priority: extra
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nic-modules-3.11.0-30-generic-di
Package-Type: udeb
Provides: nic-modules
Depends: kernel-image-3.11.0-30-generic-di, nic-shared-modules-3.11.0-30-generic-di, virtio-modules-3.11.0-30-generic-di
Architecture: amd64
Kernel-Version: 3.11.0-30-generic
Section: debian-installer
Priority: standard
Description: Network interface support

Package: nic-shared-modules-3.11.0-30-generic-di
Package-Type: udeb
Provides: nic-shared-modules
Depends: kernel-image-3.11.0-30-generic-di, crypto-modules-3.11.0-30-generic-di
Architecture: amd64
Kernel-Version: 3.11.0-30-generic
Section: debian-installer
Priority: standard
Description: nic shared modules
  This package contains modules which support nic modules

Package: serial-modules-3.11.0-30-generic-di
Package-Type: udeb
Provides: serial-modules
Depends: kernel-image-3.11.0-30-generic-di
Architecture: amd64
Kernel-Version: 3.11.0-30-generic
Section: debian-installer
Priority: standard
Description: Serial port support

Package: ppp-modules-3.11.0-30-generic-di
Package-Type: udeb
Provides: ppp-modules
Depends: kernel-image-3.11.0-30-generic-di, nic-shared-modules-3.11.0-30-generic-di, serial-modules-3.11.0-30-generic-di
Architecture: amd64
Kernel-Version: 3.11.0-30-generic
Section: debian-installer
Priority: standard
Description: PPP (serial port) networking support

Package: pata-modules-3.11.0-30-generic-di
Package-Type: udeb
Provides: pata-modules
Depends: kernel-image-3.11.0-30-generic-di, storage-core-modules-3.11.0-30-generic-di
Architecture: amd64
Kernel-Version: 3.11.0-30-generic
Section: debian-installer
Priority: standard
Description: PATA support modules

Package: firewire-core-modules-3.11.0-30-generic-di
Package-Type: udeb
Provides: firewire-core-modules
Depends: kernel-image-3.11.0-30-generic-di, storage-core-modules-3.11.0-30-generic-di
Architecture: amd64
Kernel-Version: 3.11.0-30-generic
Section: debian-installer
Priority: standard
Description: Firewire (IEEE-1394) Support

Package: scsi-modules-3.11.0-30-generic-di
Package-Type: udeb
Provides: scsi-modules
Depends: kernel-image-3.11.0-30-generic-di, storage-core-modules-3.11.0-30-generic-di
Architecture: amd64
Kernel-Version: 3.11.0-30-generic
Section: debian-installer
Priority: standard
Description: SCSI storage support

Package: plip-modules-3.11.0-30-generic-di
Package-Type: udeb
Provides: plip-modules
Depends: kernel-image-3.11.0-30-generic-di, nic-shared-modules-3.11.0-30-generic-di, parport-modules-3.11.0-30-generic-di
Architecture: amd64
Kernel-Version: 3.11.0-30-generic
Section: debian-installer
Priority: standard
Description: PLIP (parallel port) networking support

Package: floppy-modules-3.11.0-30-generic-di
Package-Type: udeb
Provides: floppy-modules
Depends: kernel-image-3.11.0-30-generic-di
Architecture: amd64
Kernel-Version: 3.11.0-30-generic
Section: debian-installer
Priority: standard
Description: Floppy driver support

Package: fat-modules-3.11.0-30-generic-di
Package-Type: udeb
Provides: fat-modules
Depends: kernel-image-3.11.0-30-generic-di
Architecture: amd64
Kernel-Version: 3.11.0-30-generic
Section: debian-installer
Priority: standard
Description: FAT filesystem support
 This includes Windows FAT and VFAT support.

Package: nfs-modules-3.11.0-30-generic-di
Package-Type: udeb
Provides: nfs-modules
Depends: kernel-image-3.11.0-30-generic-di
Architecture: amd64
Kernel-Version: 3.11.0-30-generic
Section: debian-installer
Priority: standard
Description: NFS filesystem drivers
 Includes the NFS client driver, and supporting modules.

Package: md-modules-3.11.0-30-generic-di
Package-Type: udeb
Provides: md-modules, crypto-dm-modules
Depends: kernel-image-3.11.0-30-generic-di
Architecture: amd64
Kernel-Version: 3.11.0-30-generic
Section: debian-installer
